  MEMBER('people.clw')

  INCLUDE('ABFILE.INC'),ONCE

  MAP
PEOPLBC0:DctInit    PROCEDURE
PEOPLBC0:DctKill    PROCEDURE
PEOPLBC0:FilesInit  PROCEDURE
  END

Hide:Access:people   CLASS(FileManager),TYPE               ! FileManager for people
Init                   PROCEDURE
Kill                   PROCEDURE(),DERIVED                 ! Method added to host embed code
                     END


Hide:Relate:people   CLASS(RelationManager),TYPE           ! RelationManager for people
Init                   PROCEDURE
Kill                   PROCEDURE(),DERIVED                 ! Method added to host embed code
                     END


_Hide:Access:people  &Hide:Access:people,AUTO,THREAD
_Hide:Relate:people  &Hide:Relate:people,AUTO,THREAD


PEOPLBC0:DctInit PROCEDURE
  CODE
  _Hide:Access:people &= NEW(Hide:Access:people)
  _Hide:Relate:people &= NEW(Hide:Relate:people)
  Relate:people &= _Hide:Relate:people


PEOPLBC0:FilesInit PROCEDURE
  CODE
  _Hide:Relate:people.Init


PEOPLBC0:DctKill PROCEDURE
  CODE
  _Hide:Relate:people.Kill
  DISPOSE(_Hide:Relate:people)


Hide:Access:people.Init PROCEDURE
  CODE
  SELF.Init(people,GlobalErrors)
  SELF.FileNameValue = 'people'
  SELF.Buffer &= PEO:Record
  SELF.Create = 1
  SELF.LockRecover = 10
  SELF.AddKey(PEO:KeyId,'PEO:KeyId',1)
  SELF.AddKey(PEO:KeyLastName,'PEO:KeyLastName',0)
  Access:people &= SELF


Hide:Relate:people.Init PROCEDURE
  CODE
  _Hide:Access:people.Init
  SELF.Init(Access:people,1)


Hide:Access:people.Kill PROCEDURE

  CODE
  PARENT.Kill
  Access:people &= NULL                                    ! File manager has been destroyed to assign null, it is an error to reference this after this point


Hide:Relate:people.Kill PROCEDURE

  CODE
  _Hide:Access:people.Kill                                 ! Kill the file manager
  PARENT.Kill
  Relate:people &= NULL                                    ! Assign NULL to the RelationManager's FileManager reference, it is an error to reference this after this point
  DISPOSE(_Hide:Access:people)                             ! destroy the file manager

